#
# Conditional build:
%bcond_without	subversion	# disable subversion backend
#
%include	/usr/lib/rpm/macros.mono
#
Summary:	Mono IDE
Summary(pl.UTF-8):	IDE dla Mono
Name:		monodevelop
%define	mainver	5.0.1
%define	subver	0
Version:	%{mainver}.%{subver}
Release:	1
# most of code is MIT-licensed, some parts LGPL v2
License:	LGPL v2, MIT
Group:		Development/Tools
Source0:	http://download.mono-project.com/sources/monodevelop/%{name}-%{mainver}-%{subver}.tar.bz2
# Source0-md5:	5f68aa384c7aa473fdd36da2f70117b4
Patch0:		%{name}-desktop.patch
URL:		http://monodevelop.com/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.10
# gconf-sharp, gnome-sharp, gnome-vfs-sharp
BuildRequires:	dotnet-gnome-sharp-devel >= 2.16.0
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.12.8
BuildRequires:	gettext-devel
BuildRequires:	mono-csharp >= 3.0.4
BuildRequires:	monodoc >= 1.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sed >= 4.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	shared-mime-info
Requires:	dotnet-gtk-sharp2 >= 2.12.8
Requires:	hicolor-icon-theme
Requires:	pkgconfig
%{?with_subversion:Requires:	subversion-libs}
Requires:	xulrunner-libs
Suggests:	ctags
Suggests:	mono-compat-links >= 3.0.4
Suggests:	mono-csharp >= 3.0.4
Suggests:	monodoc >= 1.0
Suggests:	xsp
Obsoletes:	MonoDevelop
ExcludeArch:	alpha i386 sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'mono\\(System.Data.Entity\\)' 'mono\\(System.Web.WebPages.Deployment\\)'

%description
Mono IDE, in the very early stages of development right now, and
progressing quickly. MonoDevelop has many features. Some of these
include:
- Class Management MonoDevelop has a class viewer which allows you to
  list the classes in your project, their methods, and properties. Your
  namespaces are also kept track of to keep the classes separated. When
  you add something to your project, it will automatically be added to
  the class viewer, even if they're namespaces, classes, methods, or
  even variables.
- Code Completion With the .NET and Gtk# frameworks put together, it
  can be challenging to remember all the classes, methods, or properties
  that are at your disposal. MonoDevelop's intelligent code completion
  attempts to complete what you're typing. If it finds a match, just hit
  tab and MonoDevelop will do the typing for you.
- Project Support MonoDevelop comes with built in projects that help
  get you started with your console, Gnome# or Gtk# application.

%description -l pl.UTF-8
MonoDevelop to IDE (zintegrowane środowisko programisty) dla Mono we
wczesnym, ale szybko postępującym stadium rozwoju. Ma wiele
możliwości, a wśród nich:
- zarządzanie klasami MonoDevelop ma przeglądarkę klas pozwalającą
  wyświetlać klasy w projekcie, ich metody oraz własności. Przestrzenie
  nazw są uwzględniane, aby zachować separację klas. Przy dodawaniu
  czegoś do projektu jest to automatycznie dodawane do przeglądarki
  klas, nawet jeśli są to przestrzenie nazw, klasy, metody, a nawet
  zmienne.
- dopełnianie kodu Przy połączeniu szkieletów .NET i Gtk# pamiętanie
  samemu wszystkich klas, metod i własności mogłoby być nie lada
  wyzwaniem. MonoDevelop w sposób inteligentny próbuje dopełniać to, co
  się pisze. Jeśli znajdzie dopasowanie, wystarczy nacisnąć tabulację,
  aby dokończył pisać za nas.
- obsługa projektów MonoDevelop przychodzi z wbudowanymi projektami,
  pomagającymi zacząć tworzyć aplikacje konsolowe, Gnome# albo Gtk#.

%prep
%setup -q -n %{name}-%{mainver}
%patch0 -p1

%{__sed} -i -e 's,\.\./version\.config,version.config,' configure.in
# bash is needed because of exec -a; avoid hiding dependency by env
%{__sed} -i -e '1s,#!/usr/bin/env bash,#!/bin/bash,' mdtool.in monodevelop.in

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-update-mimedb \
	--disable-update-desktopdb \
	%{?with_subversion:--enable-subversion}

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkgconfigdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if "%{_lib}" != "lib"
%{__mv} -f $RPM_BUILD_ROOT%{_prefix}/lib/pkgconfig/* $RPM_BUILD_ROOT%{_pkgconfigdir}
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_mime_database
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_mime_database
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/mdtool
%attr(755,root,root) %{_bindir}/monodevelop
%{_prefix}/lib/monodevelop
%{_datadir}/mime/packages/monodevelop.xml
%{_desktopdir}/monodevelop.desktop
%{_pkgconfigdir}/monodevelop-core-addins.pc
%{_pkgconfigdir}/monodevelop.pc
%{_iconsdir}/hicolor/*/apps/monodevelop.png
%{_iconsdir}/hicolor/*/apps/monodevelop.svg
%{_mandir}/man1/mdtool.1*
%{_mandir}/man1/monodevelop.1*
%changelog
* Sun Sep 07 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/monodevelop.git;a=log;h=master

* Sun Sep 07 2014 Jakub Bogusz <qboosh@pld-linux.org> cf122d6
- updated to 5.0.1-0

* Sat Jan 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 4db707e
- updated to 4.2.2-2

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> c62ae1b
- up to 4.0.14-5
- ignore deps from addins that mono package provide in older versions

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b4298f3
- release 2 (by relup.sh)

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 64d2d16
- updated to 4.0.12-3

* Sun Apr 08 2012 Paweł Sikora <pluto@pld-linux.org> 05c7e01
- updated to 2.8.8.4.

* Sat Mar 31 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 7966518
- updated to 2.8.6.5

* Mon Nov 07 2011 vip <vip@pld-linux.org> 04d1877
- up to 2.8.2

* Mon Oct 17 2011 vip <vip@pld-linux.org> 96fbeb0
- not needed anymore, script changed

* Mon Oct 17 2011 vip <vip@pld-linux.org> 66b1058
- up to 2.8.1

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 62eb64a
- Requires(post,postun): gtk-update-icon-cache

* Fri Jan 21 2011 vip <vip@pld-linux.org> 7c826b2
- up to 2.4.2

* Thu Nov 18 2010 Caleb Maclennan <caleb@alerque.com> 9d2aa61
- Up to 2.4.1

* Wed Oct 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 665d58e
- fixed build

* Wed Oct 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 0c7dc1f
- removed obsolete -install.patch and updated -desktop.patch
- moved monodevelop back to %{_prefix}/lib
- removed asp bcond (xsp is runtime dep)
- S: ctags, monodoc, xsp

* Wed Oct 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> ae9461b
- obsolete

* Wed Oct 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> ae8efa9
- updated for 2.4

* Mon Jun 21 2010 vip <vip@pld-linux.org> d69e4a4
- up to 2.4

* Mon May 17 2010 vip <vip@pld-linux.org> 2e845bc
- up to 2.3
- STBR

* Thu Mar 18 2010 vip <vip@pld-linux.org> 7a1a58b
- up to 2.2.2

